routes/web.php
<?php
use App\Buku;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('layout.index');
 });

 Auth::routes();
//CRUD Users
Route::resource('user', 'UserController');


//CRUD Anggota
Route::resource('anggota', 'AnggotaController');
Auth::routes();

<<<<<<< HEAD
Route::resource('buku', 'BukuController');

Route::resource('transaksi', 'TransaksiController');
=======
//CRUD Buku
Route::resource('buku', 'BukuController');
>>>>>>> e8ad3920a03029df99da6e48053866b29f18e01a

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/data-tablebuku', function(){
    $data = buku::all();
    return view('table.data-tablebuku', compact('data'));
});

app/Anggota.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Anggota extends Model
{
    protected $table = 'anggota';
    protected $fillable =['user_id','npm','nama','tempat_lahir','tgl_lahir','jeniskelamin','telepon','prodi'];
}

app/Http/Controllers/AnggotaController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Anggota;
use App\User;
use Auth;
use DB;
use RealRashid\SweetAlert\Facades\Alert;

class AnggotaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index()
    {
        if(Auth::user()->level == 'user') {
            Alert::info('Oopss..', 'Anda dilarang masuk ke area ini.');
            return redirect()->to('/');
        }

        $datas = Anggota::get();
        return view('anggota.index', compact('datas'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        if(Auth::user()->level == 'user') {
            Alert::info('Oopss..', 'Anda dilarang masuk ke area ini.');
            return redirect()->to('/');
        }

        $users = User::WhereNotExists(function($query) {
                        $query->select(DB::raw(1))
                        ->from('anggota')
                        ->whereRaw('anggota.user_id = users.id');
                     })->get();
        return view('anggota.create', compact('users'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $count = Anggota::where('npm',$request->input('npm'))->count();

        if($count>0){
            Session::flash('message', 'Already exist!');
            Session::flash('message_type', 'danger');
            return redirect()->to('anggota');
        }

        $this->validate($request, [
            'nama' => 'required|string|max:255',
            'npm' => 'required|string|max:20|unique:anggota'
        ]);

        Anggota::create($request->all());

        alert()->success('Berhasil.','Data telah ditambahkan!');
        return redirect()->route('anggota.index');

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        if((Auth::user()->level == 'user') && (Auth::user()->id != $id)) {
                Alert::info('Oopss..', 'Anda dilarang masuk ke area ini.');
                return redirect()->to('/');
        }

        $data = Anggota::findOrFail($id);

        return view('anggota.show', compact('data'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {   
        if((Auth::user()->level == 'user') && (Auth::user()->id != $id)) {
                Alert::info('Oopss..', 'Anda dilarang masuk ke area ini.');
                return redirect()->to('/');
        }

        $data = Anggota::findOrFail($id);
        $users = User::get();
        return view('anggota.edit', compact('data', 'users'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        Anggota::find($id)->update($request->all());

       // alert()->success('Berhasil.','Data telah diubah!');
        return redirect()->to('anggota');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Anggota::find($id)->delete();
        alert()->success('Berhasil.','Data telah dihapus!');
        return redirect()->route('anggota.index');
    }
}

resources/views/anggota/create.blade.php
@extends('layout.master')
@section('judul')
Halaman Anggota
@endsection

@section('content')

<form method="POST" action="{{ route('anggota.store') }}" enctype="multipart/form-data">
@csrf
<div class="row">
          <div class="col-md-12 d-flex align-items-stretch grid-margin">
            <div class="row flex-grow">
              <div class="col-12">
                <div class="card">
                  <div class="card-body">
                    <h4 class="card-title">Tambah Anggota baru</h4>
                    
                      <div class="form-group{{ $errors->has('nama') ? ' has-error' : '' }}">
                          <label for="nama" class="col-md-4 control-label">Nama</label>
                          <div class="col-md-12">
                              <input id="nama" type="text" class="form-control" name="nama" value="{{ old('nama') }}" required>
                              @if ($errors->has('nama'))
                                  <span class="help-block">
                                      <strong>{{ $errors->first('nama') }}</strong>
                                  </span>
                              @endif
                          </div>
                      </div>
                      <div class="form-group{{ $errors->has('npm') ? ' has-error' : '' }}">
                          <label for="npm" class="col-md-4 control-label">NPM</label>
                          <div class="col-md-12">
                              <input id="npm" type="number" class="form-control" name="npm" value="{{ old('npm') }}" maxlength="8" required>
                              @if ($errors->has('npm'))
                                  <span class="help-block">
                                      <strong>{{ $errors->first('npm') }}</strong>
                                  </span>
                              @endif
                          </div>
                      </div>
                      <div class="form-group{{ $errors->has('tempat_lahir') ? ' has-error' : '' }}">
                          <label for="tempat_lahir" class="col-md-4 control-label">Tempat Lahir</label>
                          <div class="col-md-12">
                              <input id="tempat_lahir" type="text" class="form-control" name="tempat_lahir" value="{{ old('tempat_lahir') }}" required>
                              @if ($errors->has('tempat_lahir'))
                                  <span class="help-block">
                                      <strong>{{ $errors->first('tempat_lahir') }}</strong>
                                  </span>
                              @endif
                          </div>
                      </div>

                      <div class="form-group{{ $errors->has('tgl_lahir') ? ' has-error' : '' }}">
                          <label for="tgl_lahir" class="col-md-4 control-label">Tanggal Lahir</label>
                          <div class="col-md-12">
                              <input id="tgl_lahir" type="date" class="form-control" name="tgl_lahir" value="{{ old('tgl_lahir') }}" required>
                              @if ($errors->has('tgl_lahir'))
                                  <span class="help-block">
                                      <strong>{{ $errors->first('tgl_lahir') }}</strong>
                                  </span>
                              @endif
                          </div>
                      </div>

                      <div class="form-group{{ $errors->has('level') ? ' has-error' : '' }}">
                          <label for="level" class="col-md-4 control-label">Jenis Kelamin</label>
                          <div class="col-md-12">
                          <select class="form-control" name="jeniskelamin" required="">
                              <option value=""></option>
                              <option value="L">Laki - Laki</option>
                              <option value="P">Perempuan</option>
                          </select>
                          </div>
                      </div>

                      <div class="form-group{{ $errors->has('telepon') ? ' has-error' : '' }}">
                        <label for="telepon" class="col-md-4 control-label">No Telepon</label>
                        <div class="col-md-12">
                            <input id="telepon" type="number" class="form-control" name="telepon" value="{{ old('telepon') }}" maxlength="13" required>
                            @if ($errors->has('telepon'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('telepon') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>

                      <div class="form-group{{ $errors->has('prodi') ? ' has-error' : '' }}">
                          <label for="prodi" class="col-md-4 control-label">Prodi</label>
                          <div class="col-md-12">
                          <select class="form-control" name="prodi" required="">
                              <option value=""></option>
                              <option value="TI">Teknik Informatika</option>
                              <option value="SI">Sistem Informasi</option>
                              <option value="MM">Multimedia</option>
                          </select>
                          </div>
                      </div>

                      <div class="form-group{{ $errors->has('user_id') ? ' has-error' : '' }} " style="margin-bottom: 20px;">
                          <label for="user_id" class="col-md-4 control-label">User Login</label>
                          <div class="col-md-12">
                          <select class="form-control" name="user_id" required="">
                              <option value="">(Cari User)</option>
                              @foreach($users as $user)
                                  <option value="{{$user->id}}">{{$user->name}}</option>
                              @endforeach
                          </select>
                          </div>
                      </div>
                      <button type="submit" class="btn btn-primary" id="submit">
                                  Submit
                      </button>
                      <button type="reset" class="btn btn-danger">
                                  Reset
                      </button>
                      <a href="{{route('anggota.index')}}" class="btn btn-light pull-right">Back</a>
                  </div>
                </div>
              </div>
            </div>
          </div>

</div>
</form>
@endsection

resources/views/anggota/edit.blade.php
@extends('layout.master')
@section('judul')
Halaman Edit Anggota
@endsection

@section('content')

<form action="{{ route('anggota.update', $data->id) }}" method="post" enctype="multipart/form-data">
 @csrf
 @method('PUT')
<div class="row">
      <div class="col-md-12 d-flex align-items-stretch grid-margin">
        <div class="row flex-grow">
          <div class="col-12">
            <div class="card">
              <div class="card-body">
                <h4 class="card-title">Edit Anggota</h4>
                
                  <div class="form-group{{ $errors->has('nama') ? ' has-error' : '' }}">
                      <label for="nama" class="col-md-4 control-label">Nama</label>
                      <div class="col-md-6">
                          <input id="nama" type="text" class="form-control" name="nama" value="{{ $data->nama }}" required>
                          @if ($errors->has('nama'))
                              <span class="help-block">
                                  <strong>{{ $errors->first('nama') }}</strong>
                              </span>
                          @endif
                      </div>
                  </div>
                  <div class="form-group{{ $errors->has('npm') ? ' has-error' : '' }}">
                      <label for="npm" class="col-md-4 control-label">NPM</label>
                      <div class="col-md-6">
                          <input id="npm" type="number" class="form-control" name="npm" value="{{ $data->npm }}" maxlength="8" readonly>
                          @if ($errors->has('npm'))
                              <span class="help-block">
                                  <strong>{{ $errors->first('npm') }}</strong>
                              </span>
                          @endif
                      </div>
                  </div>
                  <div class="form-group{{ $errors->has('tempat_lahir') ? ' has-error' : '' }}">
                      <label for="tempat_lahir" class="col-md-4 control-label">Tempat Lahir</label>
                      <div class="col-md-6">
                          <input id="tempat_lahir" type="text" class="form-control" name="tempat_lahir" value="{{ $data->tempat_lahir }}" required>
                          @if ($errors->has('tempat_lahir'))
                              <span class="help-block">
                                  <strong>{{ $errors->first('tempat_lahir') }}</strong>
                              </span>
                          @endif
                      </div>
                  </div>

                  <div class="form-group{{ $errors->has('tgl_lahir') ? ' has-error' : '' }}">
                      <label for="tgl_lahir" class="col-md-4 control-label">Tanggal Lahir</label>
                      <div class="col-md-6">
                          <input id="tgl_lahir" type="date" class="form-control" name="tgl_lahir" value="{{ $data->tgl_lahir }}" required>
                          @if ($errors->has('tgl_lahir'))
                              <span class="help-block">
                                  <strong>{{ $errors->first('tgl_lahir') }}</strong>
                              </span>
                          @endif
                      </div>
                  </div>

                  <div class="form-group{{ $errors->has('level') ? ' has-error' : '' }}">
                      <label for="level" class="col-md-4 control-label">Jenis Kelamin</label>
                      <div class="col-md-6">
                      <select class="form-control" name="jeniskelamin" required="">
                          <option value=""></option>
                          <option value="L" {{$data->jeniskelamin === "L" ? "selected" : ""}}>Laki - Laki</option>
                          <option value="P" {{$data->jeniskelamin === "P" ? "selected" : ""}}>Perempuan</option>
                      </select>
                      </div>
                  </div>

                  <div class="form-group{{ $errors->has('telepon') ? ' has-error' : '' }}">
                    <label for="telepon" class="col-md-4 control-label">Telepon</label>
                    <div class="col-md-6">
                        <input id="telepon" type="number" class="form-control" name="telepon" value="{{ $data->telepon }}" maxlength="8" required>
                        @if ($errors->has('telepon'))
                            <span class="help-block">
                                <strong>{{ $errors->first('nama') }}</strong>
                            </span>
                        @endif
                    </div>
                </div>

                  <div class="form-group{{ $errors->has('prodi') ? ' has-error' : '' }}">
                      <label for="prodi" class="col-md-4 control-label">Prodi</label>
                      <div class="col-md-6">
                      <select class="form-control" name="prodi" required="">
                          <option value=""></option>
                          <option value="TI" {{$data->prodi === "TI" ? "selected" : ""}} >Teknik Informatika</option>
                          <option value="SI" {{$data->prodi === "SI" ? "selected" : ""}} >Sistem Informasi</option>
                          <option value="MM" {{$data->prodi === "MM" ? "selected" : ""}} >Multimedia</option>
                      </select>
                      </div>
                  </div>

                  <div class="form-group{{ $errors->has('user_id') ? ' has-error' : '' }} " style="margin-bottom: 20px;">
                      <label for="user_id" class="col-md-4 control-label">User Login</label>
                      <div class="col-md-6">
                      <select class="form-control" name="user_id" required="">
                          <option value="">(Cari User)</option>
                          @foreach($users as $user)
                              <option value="{{$user->id}}" {{$data->user_id === $user->id ? "selected" : ""}}>{{$user->name}}</option>
                          @endforeach
                      </select>
                      </div>
                  </div>
                  <button type="submit" class="btn btn-primary" id="submit">
                              Ubah
                  </button>
                  <button type="reset" class="btn btn-danger">
                              Reset
                  </button>
                  <a href="{{route('anggota.index')}}" class="btn btn-light pull-right">Back</a>
              </div>
            </div>
          </div>
        </div>
      </div>

</div>
</form>
@endsection

resources/views/anggota/index.blade.php
@extends('layout.master')
@section('judul')
Data Anggota
@endsection

@section('content')

<a href="/anggota/create" class="btn btn-success mb-3">Tambah Data</a>

<table class="table">
  <thead class="thead-light">
    <tr>
      <th scope="col">No</th>
	  <th scope="col">NPM</th>
      <th scope="col">Nama</th>
	  <th scope="col">Jenis Kelamin</th>
	  <th scope="col">Prodi</th>
	  <th scope="col">Action</th>
    </tr>
  </thead>
  <tbody>
    @forelse ($datas as $key=>$data)
	<tr>
		<td>{{$key +1}}</td>
		<td>{{$data->npm}}</td>
		<td>{{$data->nama}}</td>
		<td>{{$data->jeniskelamin}}</td>
		<td>{{$data->prodi}}</td>
		<td>		
			<form action="/anggota/{{$data->id}}" method="post">
				<a href="/anggota/{{$data->id}}" class="btn btn-info btn-sm" >Detail</a>
				<a href="/anggota/{{$data->id}}/edit" class="btn btn-primary btn-sm" >Edit</a>
				@csrf
				@method('DELETE')
			<input type="submit" class="btn btn-danger btn-sm my-1" value="delete">
			</form>
		</td>
	<tr>
	@empty
	<tr>
		<td>Tidak ada data anggota</td>
	</tr>
	
	@endforelse
  </tbody>
</table>

@endsection

resources/views/anggota/show.blade.php
@extends('layout.master')
@section('judul')
Detail Anggota {{$data->nama}}
@endsection

@section('content')

<table class="table">
    <thead class="thead-light">
        <tr>
          <th scope="col"><h4>Detail Anggota</h4></th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <th scope="row">ID User</th>
          <td>: {{$data->user_id}}</td>
        </tr>
        <tr>
          <th scope="row">NPM</th>
          <td>: {{$data->npm}}</td>
        </tr>
        <tr>
          <th scope="row">Nama</th>
          <td>: {{$data->nama}}</td>
        </tr>
        <tr>
            <th scope="row">Tempat Lahir</th>
            <td>: {{$data->tempat_lahir}}</td>
          </tr>
          <tr>
            <th scope="row">Tanggal Lahir</th>
            <td>: {{$data->tgl_lahir}}</td>
          </tr>
          <tr>
            <th scope="row">Jenis Kelamin</th>
            <td>: {{$data->jeniskelamin}}</td>  
          </tr>
          <tr>
            <th scope="row">No Telepon</th>
            <td>: {{$data->telepon}}</td>
          </tr>
          <tr>
            <th scope="row">Prodi</th>
            <td>: {{$data->prodi}}</td>
          </tr>
      </tbody>
  </table>
  
  <a href="{{route('anggota.index')}}" class="btn btn-info btn-sm my-2">Kembali</a>
  @endsection